---
title: "Searches Supplier Return Reasons by parameters"
url: "https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/210b509a-613e-44ac-a87b-ef6c22c23a2c/operations/get-supplierreturnreasons"
---

> Full API specification: https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/210b509a-613e-44ac-a87b-ef6c22c23a2c.md

# Searches Supplier Return Reasons by parameters

`GET` `/supplierreturnreasons`

Operation ID: `get-supplierreturnreasons`

Searches Supplier Return Reasons by parameters

## Query parameters

- `is_deleted` (boolean, optional) - Is deleted? Leave it empty to get both deleted and not deleted Supplier Return Reasons
- `created_since` (string, date-time, optional) - Created since
- `modified_since` (string, date-time, optional) - Modified since
- `select` (string, optional) - Select fields. Available field name values: id Example: id
- `order_by` (string, optional) - Order by. Available field name values: id, name, created_on, modified_on. Available direction values: asc, desc. Example: id asc, name desc
- `page_number` (integer, int32, optional)
- `page_size` (integer, int32, optional)

## Header parameters

- `x-api-key` (string, required) - Api subscription key
- `Cache-Control` (string, optional)
- `Authorization` (string, required) - Bearer token for authorization (e.g., Bearer <token>)

## Responses

- `200` - Paging Response with Supplier Return Reasons data
- `400` - Bad request
- `401` - Unauthorized
- `403` - Forbidden

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Retail Express API
  version: v2.1
servers:
  - url: https://api.retailexpress.com.au/v2.1
paths:
  /supplierreturnreasons:
    get:
      tags:
        - supplierreturnreasons
      summary: Searches Supplier Return Reasons by parameters
      description: Searches Supplier Return Reasons by parameters
      operationId: get-supplierreturnreasons
      parameters:
        - name: is_deleted
          in: query
          description: "Is deleted? \r

            \r

            Leave it empty to get both deleted and not deleted Supplier Return
            Reasons"
          schema:
            type: boolean
            description: "Is deleted? \r

              \r

              Leave it empty to get both deleted and not deleted Supplier Return
              Reasons"
            nullable: true
        - name: created_since
          in: query
          description: Created since
          schema:
            type: string
            description: Created since
            format: date-time
            nullable: true
        - name: modified_since
          in: query
          description: Modified since
          schema:
            type: string
            description: Modified since
            format: date-time
            nullable: true
        - name: select
          in: query
          description: "Select fields.\r

            \r

            Available field name values: id\r

            \r

            Example: id"
          schema:
            type: string
            description: "Select fields.\r

              \r

              Available field name values: id\r

              \r

              Example: id"
            nullable: true
        - name: order_by
          in: query
          description: "Order by. \r

            \r

            Available field name values: id, name, created_on, modified_on. \r

            \r

            Available direction values: asc, desc. \r

            \r

            Example: id asc, name desc"
          schema:
            type: string
            description: "Order by. \r

              \r

              Available field name values: id, name, created_on, modified_on. \r

              \r

              Available direction values: asc, desc. \r

              \r

              Example: id asc, name desc"
            nullable: true
        - name: page_number
          in: query
          schema:
            maximum: 100000
            minimum: 1
            type: integer
            format: int32
        - name: page_size
          in: query
          schema:
            maximum: 2147483647
            minimum: 1
            type: integer
            format: int32
        - name: x-api-key
          in: header
          description: Api subscription key
          required: true
          schema:
            type: string
        - name: Cache-Control
          in: header
          required: false
          schema:
            type: string
            default: no-cache
        - name: Authorization
          in: header
          required: true
          description: Bearer token for authorization (e.g., Bearer <token>)
          schema:
            type: string
      responses:
        "200":
          description: Paging Response with Supplier Return Reasons data
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/SupplierReturnReasons.PagingResponse"
              example:
                data:
                  - id: 0
                    name: string
                    created_on: string
                    modified_on: string
                    deleted: false
                    deleted_on: string
                page_number: 0
                page_size: 0
                total_records: 0
        "400":
          description: Bad request
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "401":
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "403":
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
security: []
components:
  schemas:
    SupplierReturnReasons.PagingResponse:
      title: ""
      type: object
      properties:
        data:
          type: array
          items:
            $ref: "#/components/schemas/SupplierReturnReasons"
          nullable: true
        page_number:
          type: integer
          format: int32
        page_size:
          type: integer
          format: int32
        total_records:
          type: integer
          format: int32
      additionalProperties: false
    ProblemDetails:
      title: ""
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    SupplierReturnReasons:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Supplier Return Reason Id.
          format: int32
          nullable: true
        name:
          type: string
          description: Supplier Return Reason name
          nullable: true
        created_on:
          type: string
          description: Created on
          format: date-time
        modified_on:
          type: string
          description: Modified on
          format: date-time
        deleted:
          type: boolean
          description: Is Supplier Return Reason deleted
          default: false
        deleted_on:
          type: string
          description: Deleted on
          format: date-time
          nullable: true
      additionalProperties: false
      description: Supplier Return Reason model
```
